MINIDUMP_EXCEPTION_STREAM Struct Reference

Information about the exception that triggered a minidump file’s generation. More...

`#include "dbghelp.h"`

## Public Attributes

uint32_t | ThreadId
| The ID of the thread that caused the exception. More...
uint32_t | __alignment
MINIDUMP_EXCEPTION | ExceptionRecord
| Information about the exception.
MINIDUMP_LOCATION_DESCRIPTOR | ThreadContext
| A pointer to a CPU-specific CONTEXT structure containing the thread’s context at the time the exception was caused. More...

## Detailed Description

Information about the exception that triggered a minidump file’s generation.

## Member Data Documentation

## ThreadContext

MINIDUMP_LOCATION_DESCRIPTOR MINIDUMP_EXCEPTION_STREAM::ThreadContext

A pointer to a CPU-specific CONTEXT structure containing the thread’s context at the time the exception was caused.

The interpretation of the context structure is dependent on the CPU architecture identified by MINIDUMP_SYSTEM_INFO::ProcessorArchitecture. For crashpad::kMinidumpCPUArchitectureX86, this will be crashpad::MinidumpContextX86. For crashpad::kMinidumpCPUArchitectureAMD64, this will be crashpad::MinidumpContextAMD64.

## ThreadId

uint32_t MINIDUMP_EXCEPTION_STREAM::ThreadId

The ID of the thread that caused the exception.

See also
  MINIDUMP_THREAD::ThreadId

The documentation for this struct was generated from the following file:

- compat/non_win/dbghelp.h